> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /replicate/models

> Get Replicate model details by identifier or URL

**Price:** 5 credits

**⚠️ Common errors:** 412: Model not found



## OpenAPI

````yaml /openapi/developer-data.json post /api/replicate/models
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/replicate/models:
    post:
      tags:
        - /replicate
      summary: /replicate/models
      description: |-
        Get Replicate model details by identifier or URL

        **Price:** 5 credits

        **⚠️ Common errors:** 412: Model not found
      operationId: __api_replicate_models_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReplicateModelPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ReplicateModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReplicateModelPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        model:
          type: string
          minLength: 1
      type: object
      required:
        - model
    ReplicateModel:
      properties:
        '@type':
          type: string
          default: ReplicateModel
        id:
          type: string
        owner:
          type: string
        name:
          type: string
        url:
          type: string
        run_count:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        owner_avatar:
          anyOf:
            - type: string
            - type: 'null'
        is_official:
          type: boolean
          default: false
        is_pipeline:
          type: boolean
          default: false
        is_commercial:
          type: boolean
          default: false
        visibility:
          anyOf:
            - type: string
            - type: 'null'
        user_type:
          anyOf:
            - type: string
            - type: 'null'
        hardware:
          anyOf:
            - type: string
            - type: 'null'
        run_state:
          anyOf:
            - type: string
            - type: 'null'
        pricing:
          anyOf:
            - type: string
            - type: 'null'
        price_p50:
          anyOf:
            - type: string
            - type: 'null'
        price_tiers:
          items:
            $ref: '#/components/schemas/ReplicatePriceTier'
          type: array
          default: []
        github_url:
          anyOf:
            - type: string
            - type: 'null'
        paper_url:
          anyOf:
            - type: string
            - type: 'null'
        weights_url:
          anyOf:
            - type: string
            - type: 'null'
        license_url:
          anyOf:
            - type: string
            - type: 'null'
        latest_version_id:
          anyOf:
            - type: string
            - type: 'null'
        latest_version_created_at:
          anyOf:
            - type: integer
            - type: 'null'
        input_schema:
          items:
            $ref: '#/components/schemas/ReplicateModelInput'
          type: array
          default: []
        output_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
        default_example:
          anyOf:
            - $ref: '#/components/schemas/ReplicateExample'
            - type: 'null'
        readme:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - owner
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ReplicatePriceTier:
      properties:
        '@type':
          type: string
          default: ReplicatePriceTier
        price:
          type: string
        unit:
          anyOf:
            - type: string
            - type: 'null'
        note:
          anyOf:
            - type: string
            - type: 'null'
        metric:
          anyOf:
            - type: string
            - type: 'null'
        price_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - price
    ReplicateModelInput:
      properties:
        '@type':
          type: string
          default: ReplicateModelInput
        name:
          type: string
        input_type:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        param_description:
          anyOf:
            - type: string
            - type: 'null'
        default_value: {}
        minimum:
          anyOf:
            - type: number
            - type: 'null'
        maximum:
          anyOf:
            - type: number
            - type: 'null'
        enum_values:
          items:
            type: string
          type: array
          default: []
        order:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
    ReplicateExample:
      properties:
        '@type':
          type: string
          default: ReplicateExample
        id:
          type: string
        status:
          anyOf:
            - type: string
            - type: 'null'
        input:
          additionalProperties: true
          type: object
          default: {}
        output: {}
        error:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        completed_at:
          anyOf:
            - type: integer
            - type: 'null'
        predict_time:
          anyOf:
            - type: number
            - type: 'null'
        created_by:
          anyOf:
            - type: string
            - type: 'null'
        version_id:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````